kvm远程安装系统的黑屏问题

kvm远程安装系统的黑屏问题
kvm远程安装系统的黑屏问题 在Display Spice 中改为如下选项,因为kvm默认是localhost不能远程. 修改完毕,应用,重启虚拟机即可看到安装界面!

python gevent异常:MonkeyPatchWarning: Monkey-patching ssl after ssl has already been imported may lead to errors

python gevent异常:MonkeyPatchWarning: Monkey-patching ssl after ssl has already been imported may lead to errors
异常: python gevent魔法补丁出现错误提示:MonkeyPatchWarning: Monkey-patching ssl after ssl has already been imported may lead to errors, including RecursionError 原因: import包名顺序导入错误,使用gevent,务必将import gevent,from gevent import monkey,monkey.patch_all()三行语句放在其他所有的import语句之前 例子: don16@don16-VirtualBox:~$ python Python 3.5.2 (default, Nov ...

阿里云mongodb not master异常

阿里云mongodb not master异常
问题: 阿里云 mongodb not master 或  not master and slaveOk=false 原因: 阿里云mongodb 主从节点会经常发生变化,故而导致mongodb数据入库异常,所以使用的时候不能只连接一个节点,如果发生变化,连接的节点变为 Secondary,就会异常报错 解决方案: 客户端使用Connection String URI连接实例 (****部分替换为为root密码) 请使用MongoDB 3.0以上版本的driver mongodb://root:****@dds-bp1156dc1...

debian9中文乱码,debian9设置utf8编码

debian9中文乱码,debian9设置utf8编码
问题: debian9下,vim编辑中文乱码!debian9设置utf8编码 解决方案: 设置编码如下 # 显示当前设置 localectl # 显示所有的locale localectl list-locales # 设置locale localectl set-locale LANG=en_US.utf8 LANGUAGE="en_US:en" # 使生效 source /etc/default/locale 查看是否生效 root@laz:/# localectl System Locale: LANG=en_US.utf8 LANGUAGE=en_US:en ...

/bin/bash^M: bad interpreter

/bin/bash^M: bad interpreter
问题 windows下保存了shell脚本文件,上传到linux并执行,错误提示:/bin/bash^M: bad interprete 原因 该脚本被转换成Windows下的dos文本格式了,这样的格式每一行的末尾都是以\r\n来标识,它的ASCII码分别是0x0D,0x0A。如果你将这个脚本文件直接放到Linux上执行就会报/bin/bash^M: bad interpreter错误提示。 解决 vim编辑文件 :set ff? 命令检查一下,看看是不是dos字样,如果是dos格式的,继续执行 :s...

#异常# python把str形态的unicode转中文

#异常# python把str形态的unicode转中文
python3 把unicode转中文,把str形态的unicode转中文 今天用py3.5爬东西的时候,爬到的是json格式,里面的中文还都是unicode的形式. 讲道理的话只要直接输出就可以了,类似这样的 >>> print ("\u751F\u5316\u5371\u673A") 生化危机 >>> 软而坑爹的是他返回的匹配的list是这样的 ['\\u751F\\u5316\\u5371\\u673A'] 结果print出来事这样的 >>> print (a[0]) \u751F\u5316\u537...

#异常# how to “pip install MySQLdb”

#异常# how to  “pip install MySQLdb”
问题 how to "pip install MySQLdb" 解决 1、 # 一、Ubuntu 14, Ubuntu 16, Debian 8.6 (jessie) sudo apt-get install python-pip python-dev libmysqlclient-dev # 如果找不到libmysqlclient-dev尝试如下, 再找不到 apt search sudo apt-get install default-libmysqlclient-dev # 二、Fedora 24 sudo dnf install python python-devel mysql-devel redhat-rpm-config gcc # 三、Mac OS brew inst...

Windows Server 2012 / 2016 无法安装 .Net Framework 3.5

Windows Server 2012 / 2016 无法安装 .Net Framework 3.5
问题 使用 Windows Server 2012 R2 或 Windows Server 2016系统,安装 .net 3.5.1 时报错。无法完成安装。 原因 找不到安装源文件。 解决方案 以管理员身份运行 PowerShell,运行如下脚本 Set-ItemProperty -Path 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate\AU' -Name UseWUServer -Value 0 Restart-Service -Name wuauserv Install-WindowsFeature Net-Framework-Core Set-ItemPropert...

nginx post 405 not allowed

nginx post 405 not allowed
异常:nginx post 405 not allowed,nginx默认是不允许对静态文件执行post 出现原因:Apache、IIS、Nginx等绝大多数web服务器,都不允许静态文件响应POST请求,否则会返回“HTTP/1.1 405 Method not allowed”错误 解决方案: error_page 405 = $uri; 即可正常响应!  

dpkg -i 依赖包异常

dpkg -i 依赖包异常
在使用sudo dpkg -i 安装deb包后,会出现依赖包关系而不能正常安装软件,这个时候先更新下源然后解决依赖关系后重装即可。[ubuntu dpkg异常] # 更新 sudo apt-get update # 解决依赖关系 sudo apt-get -f install # 重新安装 sudo dpkg -i xxx.deb  
Copyright © C/C++程序员之家 保留所有权利.   Theme  Ality 浙ICP备15011757号-3

用户登录